Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 21 Sep 2018, 10:40
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
GetFlash install Flashplayer
Post new topic   Reply to topic View previous topic :: View next topic
Page 12 of 12 [179 Posts]   Goto page: Previous 1, 2, 3, ..., 10, 11, 12
Author Message
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1540

PostPosted: Sat 15 Jul 2017, 03:11    Post subject:  

@jss83: This is the one I'm using. It has Geoffrey's fix in it. edit: Actually, the one jplt_bis posted works for me too.
getflash-1.7-1.pet
Description 
pet

 Download 
Filename  getflash-1.7-1.pet 
Filesize  14.58 KB 
Downloaded  1158 Time(s) 
Screenshot.png
 Description   
 Filesize   13 KB
 Viewed   2158 Time(s)

Screenshot.png

Back to top
View user's profile Send private message 
jss83

Joined: 06 Jan 2015
Posts: 263

PostPosted: Sat 15 Jul 2017, 05:15    Post subject:  

The previous result was from jplt_bis's one and the one you posted didn't work also, sadly. Sad
error1.png
 Description   
 Filesize   13.71 KB
 Viewed   2124 Time(s)

error1.png

Back to top
View user's profile Send private message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 8664
Location: Perth, Western Australia

PostPosted: Sat 15 Jul 2017, 05:48    Post subject:  

Sailor Enceladus wrote:
@jss83: This is the one I'm using. It has Geoffrey's fix in it. edit: Actually, the one jplt_bis posted works for me too.


Thanks for that, I will put it into Quirky.

Note, 'pet.specs' can be improved a bit:

getflash-1.7-1|getflash|1.7-1||Internet|56K||getflash-1.7-1.pet|+gtkdialog,+xdialog|download adobe flash player||||

_________________
http://bkhome.org/news/
Back to top
View user's profile Send private message Visit poster's website 
slavvo67

Joined: 12 Oct 2012
Posts: 1570
Location: The other Mr. 305

PostPosted: Sat 15 Jul 2017, 10:05    Post subject:  

I don't know why the community has gotten away from this one.... it just always works.

https://drive.google.com/file/d/0B672gIlbo7iVYThvTWtsd19iT3c/view
Back to top
View user's profile Send private message 
jss83

Joined: 06 Jan 2015
Posts: 263

PostPosted: Sat 15 Jul 2017, 22:09    Post subject:    

@slavvo67: This worked very smoothly. Very Happy

Thx so much!!
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 3469
Location: Worcestershire, UK

PostPosted: Thu 02 Nov 2017, 05:06    Post subject:  

Installing GetFlash-1.7 from PPM pulls in some very old xdialog components due to the +xdialog dependency....

e.g. from Packages-puppy-common-official:
xdialog-2.3.1.pup2|xdialog|2.3.1.pup2||BuildingBlock|70K||xdialog-2.3.1.pup2.pet|+gtk+|gui frontend for scripts|puppy|||

and from Packages-puppy-wary5-official:
xdialog-2.3.1-20110924_patched_extrabutton_dougal_default_nostrip_debian2-w5c|xdialog|2.3.1-20110924_patched_extrabutton_dougal_default_nostrip_debian2-w5c||BuildingBlock|120K||xdialog-2.3.1-20110924_patched_extrabutton_dougal_default_nostrip_debian2-w5c.pet|+gtk+|gtk gui dialog windows for scripts|puppy|wary5||

Should these old xdialog components still be in these old repositories???

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
TLM


Joined: 09 Mar 2010
Posts: 181
Location: Central United States

PostPosted: Wed 14 Feb 2018, 03:18    Post subject: GetFlash broken again
Subject description: 1.71 no longer working
 

Just noticed that GetFlash has stopped working again. I have progressively installed each available new version as needed on my system, Slacko 14.03. I'm not smart enough to fix it, but thanks in advance to those who are! Meanwhile I can still update it manually via PET files or by getting the latest flashplayer.so file directly from adobe and dropping it in the required folder. Currently running GetFlash 1.71 which is the newest I am aware of.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 11016
Location: Charleston S.C. USA

PostPosted: Wed 14 Feb 2018, 16:09    Post subject:  

It is working OK for me in Xenialpup64 7.5.
Just did it.

Maybe their web site was down.

If using a save file. Do you have free space for the download, un-compression, and install?
Usually takes 3 times the size of the download, to do it all in.
capture23974.png
 Description   
 Filesize   36.22 KB
 Viewed   893 Time(s)

capture23974.png


_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
TLM


Joined: 09 Mar 2010
Posts: 181
Location: Central United States

PostPosted: Thu 15 Feb 2018, 14:45    Post subject:  

Mine is looking like this. Unknown version and unknown file size. I've seen this happen when Adobe changes the URLs, i think.
Screenshot.jpg
 Description   
 Filesize   44.66 KB
 Viewed   859 Time(s)

Screenshot.jpg

Back to top
View user's profile Send private message 
TLM


Joined: 09 Mar 2010
Posts: 181
Location: Central United States

PostPosted: Thu 15 Feb 2018, 16:12    Post subject:  

Strange, I also have LxPup based on Slackware 14.10 on my system. I have GetFlash 1.7 on that installation, and it works perfectly. So I went to my 14.03 installation and removed GetFlash 1.71 and reinstalled v1.7, and it still does not work. 1.71 had been working in my 14.03 installation and just stopped. Both my 14.03 and 14.10 installs are full installs on a normal hard drive.
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 11016
Location: Charleston S.C. USA

PostPosted: Thu 15 Feb 2018, 20:47    Post subject:  

You must be located in the Central US Shocked Rolling Eyes Laughing
No wonder it does not work Laughing Laughing Laughing Laughing Laughing Laughing


Anything you did just before this stopped working?
Added some new software?
Anything you can think of??


That unknown file size could be a bug in Lxpup, but still try to do the download and install.

Put Getflash 1.7.1 back and try it again.

I am using Xenialpup 7.5 the 32bit version.

/root/.getflash/getflash_conf (hidden directory)
look in this file and see if it matches this for web addresses.
Code:
## Adobe URLs
VERSION_URL='adobe.com/software/flash/about/'
# In the following URLs, FLASH_VERSION gets replaced by actual version...
DOWNLOAD_URL_32='fpdownload.adobe.com/get/flashplayer/pdc/FLASH_VERSION/flash_player_npapi_linux.i386.tar.gz'
DOWNLOAD_URL_64='fpdownload.adobe.com/get/flashplayer/pdc/FLASH_VERSION/flash_player_npapi_linux.x86_64.tar.gz'
DOWNLOAD_ALL_VERSIONS="https://get.adobe.com/flashplayer/"
ADOBE_GENERAL_TERMS="http://www.adobe.com/legal/general-terms.html"


I just got this using Getflash 1.7.1
capture21188.png
 Description   
 Filesize   36.16 KB
 Viewed   775 Time(s)

capture21188.png


_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
TLM


Joined: 09 Mar 2010
Posts: 181
Location: Central United States

PostPosted: Fri 16 Feb 2018, 13:03    Post subject:  

Here is the entire text of my config file:
Code:


## getflash configuration file
## 20151028 by ASRI # for getflashplayer-1.5-7
## 20161016 by rerwin for 1.6
## 20161221 rerwin: update DOWNLOAD_URL for npapi for 1.6.1
## 20170204 rerwin: merge versions 1.5-8 and 1.6.1 for 1.7

## Forum URLs
FORUMURL_GETFLASHAPP=http://www.murga-linux.com/puppy/viewtopic.php?t=74491
FORUMURL_FLASKPKGS_32=http://www.murga-linux.com/puppy/viewtopic.php?t=84267
FORUMURL_FLASKPKGS_64=http://www.murga-linux.com/puppy/viewtopic.php?t=84267

## Packages (pet) for old versions of Flash player: description and URLs
##_86 arch
_V11_86_name="flashplayer-11.2.202.540-i386_20151025"
_V11_86_size="6.6"
_V11_86_url="http://sourceforge.net/projects/asriedu/files/asriedu_packages/asriedu_packages_31x_base_puppyprecise5xx"
_V10_86_name="flashplayer10-10.3.183.90"
_V10_86_size="5.1"
_V10_86_url="http://distro.ibiblio.org/quirky/quirky6/x86/packages/pet_packages-quirky6"
##_64 arch
_V11_64_name="flashplayer-11.2.202.540-x86_64_20151027"
_V11_64_size="6.9"
_V11_64_url="http://sourceforge.net/projects/asriedu/files/asriedu_packages/asriedu_packages_31x_base_puppyprecise5xx"

## Adobe URLs
VERSION_URL='adobe.com/software/flash/about/'
# In the following URLs, FLASH_VERSION gets replaced by actual version...
DOWNLOAD_URL_32='fpdownload.adobe.com/get/flashplayer/pdc/FLASH_VERSION/flash_player_npapi_linux.i386.tar.gz'
DOWNLOAD_URL_64='fpdownload.adobe.com/get/flashplayer/pdc/FLASH_VERSION/flash_player_npapi_linux.x86_64.tar.gz'
DOWNLOAD_ALL_VERSIONS="https://get.adobe.com/flashplayer/"
ADOBE_GENERAL_TERMS="http://www.adobe.com/legal/general-terms.html"

## flashblock URL
FLASHBLOCK_URL="http://flashblock.mozdev.org/"

## New desktop file
NEWNAME="Name=Flash Player preferences"
NEWCATEGORY="Categories=X-Internet;"
NEWICON="Icon=/usr/share/icons/hicolor/48x48/apps/flash-player-properties.png"
NEWEXEC="Exec=flash-player-properties"

Last edited by TLM on Fri 16 Feb 2018, 13:09; edited 1 time in total
Back to top
View user's profile Send private message 
TLM


Joined: 09 Mar 2010
Posts: 181
Location: Central United States

PostPosted: Fri 16 Feb 2018, 13:08    Post subject:  

I compared my getflash-conf in my 14.03 installation with the one in my 14.10 install and they are exactly the same. The only thing I have done lately is update Firefox to version 58.0.2 in both of my installs. So what I am doing for now is just grabbing the libflashplayer.so from my 14.10 install (where GetFlash works) from usr/lib/mozilla/plugins directory and dropping it into the directory in my 14.03 install.
Back to top
View user's profile Send private message 
TLM


Joined: 09 Mar 2010
Posts: 181
Location: Central United States

PostPosted: Fri 16 Feb 2018, 18:07    Post subject:  

Fixed!

In my getflash-conf I changed the following:


VERSION_URL='adobe.com/software/flash/about/'
changed to
VERSION_URL='get.adobe.com/flashplayer/about/'

and for good measure also changed these lines:

DOWNLOAD_URL_32='fpdownload.adobe.com/get/flashplayer/pdc/FLASH_VERSION/flash_player_npapi_linux.i386.tar.gz'
DOWNLOAD_URL_64='fpdownload.adobe.com/get/flashplayer/pdc/FLASH_VERSION/flash_player_npapi_linux.x86_64.tar.gz'

to

DOWNLOAD_URL_32='https://fpdownload.adobe.com/get/flashplayer/pdc/FLASH_VERSION/flash_player_npapi_linux.i386.tar.gz'
DOWNLOAD_URL_64='https://fpdownload.adobe.com/get/flashplayer/pdc/FLASH_VERSION/flash_player_npapi_linux.x86_64.tar.gz'

(just added https://) in front of those two lines.

I visited adobe's site and checked all those URLs
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 12 of 12 [179 Posts]   Goto page: Previous 1, 2, 3, ..., 10, 11, 12
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1195s ][ Queries: 12 (0.0502s) ][ GZIP on ]